## python-pyproject-examples 2023.6.30

=== requirements.txt ===
coincidence>=0.4.0
dom-toml>=0.4.0
packaging>=21.3
pytest>=6.2.3

=== debian/changelog ===
python-pyproject-examples (2023.6.30-4) unstable; urgency=medium

  * debian/control: Switch to Debian Python team maintainer

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 04 May 2024 11:34:02 -0300

python-pyproject-examples (2023.6.30-3) unstable; urgency=medium

  * debian/control: Added Build-Depends which was missing
  * debian/patches: Build-Depends "python3-whey" is already in Debian

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 07 Apr 2024 07:49:45 -0300

python-pyproject-examples (2023.6.30-2) unstable; urgency=medium

  * debian/control: Changed url of Vcs repositories

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 07 Apr 2024 07:48:19 -0300

python-pyproject-examples (2023.6.30-1) unstable; urgency=medium

  * Initial release. (Closes: #1060771)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 13 Jan 2024 20:36:16 -0300

=== debian/control ===
Source: python-pyproject-examples
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-coincidence,
               python3-dom-toml,
               python3-packaging,
               python3-pytest,
               python3-setuptools,
               python3-whey
Standards-Version: 4.6.2
Homepage: https://github.com/repo-helper/pyproject-examples
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyproject-examples
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyproject-examples.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pyproject-examples
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: example pyproject.toml configs for testing
 pyproject-examples was developed with the aim of being used by developers who
 want to manually test their pyproject.toml configurations. The module serves
 as a test suite for pyproject.toml analysis tools.
 .
 Key Features:
   - Examples of valid and invalid settings:
     Provides a series of example files that adhere to the PEP 621 and
     PEP 517 specifications. Containing example files that demonstrate common
     configuration errors.
   - API to access examples:
     It has functions to retrieve example configurations as strings.
   - Utilities Module:
     It has helper functions for creating regular expressions and testing for
     file not found errors.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_DISABLE=test
export PYBUILD_NAME=pyproject-examples

%:
	dh $@ --buildsystem=pybuild

#override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/repo-helper/pyproject-examples/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyproject-examples 2026.2.3

=== debian/changelog ===
python-pyproject-examples (2026.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Mar 2026 13:43:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                flit,
